> For the complete documentation index, see [llms.txt](https://docs.macilib.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.macilib.org/docs/maci/object/methods/get_child_maps.md).

# get\_child\_maps

Generates a dictionary copy of all the [MaciDataObj's](/docs/maci/object.md) currently mapped child attribute names with the references to their parent, and returns a dict of the maps. This method currently has no parameters.

Useful if it is desired to view or reference all child attribute names with their parent mappings.

{% hint style="info" %}
data.get\_child\_maps()  ->  dict\[str, str]
{% endhint %}

\
*Basic Example of getting a dict of current child mappings of the* [*MaciDataObj*](/docs/maci/object.md)

```python
dict_data = data.get_child_maps()
```

In this example, we simply use the get\_child\_maps method on the [MaciDataObj](/docs/maci/object.md) to get a generated copy of the current child attribute names with their mapping to their respective parent, currently held inside the maci object, as a dictionary, and assign the returned dict data to a variable.<br>

*Example output of child maps with basic references*

```python
{'attr2': 'attr1', 'attr3': 'attr2'}
```

Child maps will have their own child key name matching its attribute name with a value to the parent attribute name they are referencing. <br>

For more information on the mapping concept, see [Map Assignment Glyph](https://docs.macilib.org/docs/maci/language/v1.0.0#map-assignment-glyph) in the language section and [map\_attr](/docs/maci/object/methods/map_attr.md).

### partner methods

Methods that provide related utility to this method

[map\_attr](/docs/maci/object/methods/map_attr.md)  ->  Map an attribute name\
[unmap\_attr](/docs/maci/object/methods/unmap_attr.md)  ->  Unmap an attribute name


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.macilib.org/docs/maci/object/methods/get_child_maps.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
